-- Based on lucidiot's notes
grammar = {
  m_size = { "M", "simple" },
  l_size = { "L", "double" },
  xl_size = { "XL", "triple" },
  xxl_size = { "XXL", "mega" },
  meat = {
    "chicken breast",
    "chicken fingers",
    "chicken nuggets",
    "cordon bleu",
    "falafel",
    "fish sticks",
    "ground beef",
    "merguez",
    "kofta",
    "raclette",
    "shakshouka",
    "shawarma",
  },
  topping = {
    "bacon",
    "blue cheese",
    "cheddar",
    "chorizo",
    "diced pork",
    "eggs",
    "emmental",
    "goat cheese",
    "grated cheese",
    "honey",
    "mozzarella",
    "mushrooms",
    "olives",
    "pepperoni",
    "peppers",
    "raclette",
  },
  sauce = {
    "aioli",
    "algerian",
    "andalousian",
    "barbecue",
    "bechamel",
    "burger",
    "cheese",
    "curry",
    "fish",
    "harissa",
    "mayonnaise",
    "moroccan",
    "mustard",
    "tartare",
    "tunisian",
    "samurai",
  },
  sauce_verb = {
    "bathed in #sauce# sauce",
    "dripping with #sauce# sauce",
    "drizzled with a #sauce# sauce",
    "in a #sauce# sauce",
    "soaked in a #sauce# sauce",
    "swimming in #sauce# sauce",
  },
  origin = {
    "Here! A #m_size# #meat# tacos with #topping# #sauce_verb#!",
    "Here! A #l_size# #meat# and #meat# tacos with #topping# and #topping# " ..
      "#sauce_verb#!",
    "Here! A #xl_size# tacos with #meat#, #meat#, #meat#, #topping# " ..
      "#sauce_verb#!",
    "Here! A #xxl_size# tacos with #meat#, #meat#, #meat#, #topping# and " ..
      "#topping# #sauce_verb#!",
    "Here! A #m_size# #meat# tacos #sauce_verb#!",
    "Here! A #m_size# #meat# tacos with #topping# and #topping#, " ..
      "#sauce_verb#!",
    "Here! A #l_size# tacos #meat# and #meat# #sauce_verb#!",
    "Here! A #l_size# #meat# and #meat# tacos with #topping# #sauce_verb#!",
    "Here! A #xxl_size# tacos with #meat#, #meat#, #meat# and #meat# " ..
      "#sauce_verb#!",
  }
}
